import { AllowPartial, FunctionType, Primitive, ResolvedValue } from './utils';
export declare type Output<T> = T extends FunctionType ? ResolvedValue<ReturnType<T>> : T extends Primitive ? T : T extends object ? {
    [K in keyof T]: Output<T[K]>;
} : never;
declare type RequiredInput<T> = T extends FunctionType ? Parameters<T>[0] : T extends Primitive ? T : T extends object ? {
    [K in keyof T]: RequiredInput<T[K]>;
} : never;
export declare type Input<T> = AllowPartial<RequiredInput<T>>;
declare type Type<T> = AllowPartial<Output<T>>;
export default Type;
