import { SyncFunctionValidator } from '../Schema';
declare type TypeOfType<T> = T extends 'string' ? string : T extends 'number' ? number : T extends 'object' ? object : T extends 'boolean' ? boolean : T extends 'symbol' ? symbol : T extends 'bigint' ? bigint : T extends 'undefined' ? undefined : never;
export declare function TypeOf<T extends 'string' | 'number' | 'object' | 'boolean' | 'symbol' | 'bigint' | 'undefined'>(typeOf: T): SyncFunctionValidator<TypeOfType<T>>;
export declare function Truthy<T>(input: T): Exclude<T, undefined | null | 0 | false | ''>;
export declare function Required<T>(input: T | undefined): Exclude<T, undefined>;
export declare function Any<T>(input: T): T;
export declare function Override<T>(value: T): SyncFunctionValidator<T>;
export {};
